Package com.avaya.clientservices.media.capture

## Class VideoCaptureSource

- java.lang.Object
- - com.avaya.clientservices.media.gui.NativeObject
  - - com.avaya.clientservices.media.gui.VideoSource
    - - com.avaya.clientservices.media.capture.VideoCaptureSource

- All Implemented Interfaces:
    `Destroyable`

      public class VideoCaptureSource
      extends VideoSource

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `NV12` | FourCC code for NV12 in hex (little-endian).

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VideoCaptureSource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `destroy()` | Call this method when finished with the object; which will release the underlying C++ object.
    `void` | `handleVideoFrameBuffer​(int iVideoType, byte[] frame, long captureTimestampMs)` |
    `void` | `handleVideoFramePlanes​(int iVideoType, java.nio.ByteBuffer yPlane, int yRowStride, int yPixelStride, java.nio.ByteBuffer uPlane, int uRowStride, int uPixelStride, java.nio.ByteBuffer vPlane, int vRowStride, int vPixelStride, long captureTimestampNs)` |
    `void` | `setBlurBars​(boolean blurBars)` |
    `void` | `setLocalVideoSink​(VideoSink videoSink)` |
    `void` | `setVideoDeviceRotation​(int rotation, int orientation)` |
    `void` | `setVideoInputFormat​(int format, int width, int height)` |
    `void` | `setVideoOutputFormat​(int format, int width, int height, boolean rotate, boolean scale)` |

    - ### Methods inherited from class com.avaya.clientservices.media.gui.VideoSource

      `setVideoSink`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NV12

          public static final int NV12

      FourCC code for NV12 in hex (little-endian). Sent as an `ImageFormat` value to `setVideoInputFormat(int, int, int)`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VideoCaptureSource

          public VideoCaptureSource()

  - ### Method Detail

    - #### destroy

          public void destroy()

      Call this method when finished with the object; which will release the underlying C++ object.
      Specified by:
        `destroy` in interface `Destroyable`
      Overrides:
        `destroy` in class `VideoSource`

    - #### setBlurBars

          public void setBlurBars​(boolean blurBars)

    - #### setLocalVideoSink

          public void setLocalVideoSink​(VideoSink videoSink)

    - #### setVideoInputFormat

          public void setVideoInputFormat​(int format,
                                          int width,
                                          int height)

    - #### setVideoOutputFormat

          public void setVideoOutputFormat​(int format,
                                           int width,
                                           int height,
                                           boolean rotate,
                                           boolean scale)

    - #### setVideoDeviceRotation

          public void setVideoDeviceRotation​(int rotation,
                                             int orientation)

    - #### handleVideoFrameBuffer

          public void handleVideoFrameBuffer​(int iVideoType,
                                             byte[] frame,
                                             long captureTimestampMs)

    - #### handleVideoFramePlanes

          public void handleVideoFramePlanes​(int iVideoType,
                                             java.nio.ByteBuffer yPlane,
                                             int yRowStride,
                                             int yPixelStride,
                                             java.nio.ByteBuffer uPlane,
                                             int uRowStride,
                                             int uPixelStride,
                                             java.nio.ByteBuffer vPlane,
                                             int vRowStride,
                                             int vPixelStride,
                                             long captureTimestampNs)